package com.fs.company.mapper;

import java.util.List;
import com.fs.company.domain.CompanyMaterial;

/**
 * 原材料Mapper接口
 * 
 * @author fs
 * @date 2025-07-01
 */
public interface CompanyMaterialMapper 
{
    /**
     * 查询原材料
     * 
     * @param id 原材料主键
     * @return 原材料
     */
    public CompanyMaterial selectCompanyMaterialById(Long id);

    /**
     * 查询原材料列表
     * 
     * @param companyMaterial 原材料
     * @return 原材料集合
     */
    public List<CompanyMaterial> selectCompanyMaterialList(CompanyMaterial companyMaterial);

    /**
     * 新增原材料
     * 
     * @param companyMaterial 原材料
     * @return 结果
     */
    public int insertCompanyMaterial(CompanyMaterial companyMaterial);

    /**
     * 修改原材料
     * 
     * @param companyMaterial 原材料
     * @return 结果
     */
    public int updateCompanyMaterial(CompanyMaterial companyMaterial);

    /**
     * 删除原材料
     * 
     * @param id 原材料主键
     * @return 结果
     */
    public int deleteCompanyMaterialById(Long id);

    /**
     * 批量删除原材料
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCompanyMaterialByIds(Long[] ids);
}
